# Created by pyp2rpm-3.3.8
%global pypi_name oslo-concurrency
%global srcname oslo.concurrency

Name:           python-%{pypi_name}
Version:        6.0.0
Release:        %mkrel 1
Summary:        Oslo Concurrency library
Group:          Development/Python
License:        None
URL:            https://docs.openstack.org/oslo.concurrency/latest/
Source0:        %{pypi_source}
BuildArch:      noarch

BuildRequires:  pyproject-rpm-macros
BuildRequires:  python3-devel
BuildRequires:  python3dist(pbr)
# Docs
BuildRequires:  python3dist(sphinx)
BuildRequires:  python3dist(sphinxcontrib-apidoc)
BuildRequires:  python3dist(openstackdocstheme)
BuildRequires:  python3dist(oslo-config)
BuildRequires:  python3dist(oslo-utils)
BuildRequires:  python3dist(fasteners)

%description
The oslo.concurrency library has utilities for safely running multi-thread,
multi-process applications using locking mechanisms and for running external
processes.

%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}
%{?python_provide:%python_provide python3-%{srcname}}

%description -n python3-%{pypi_name}
The oslo.concurrency library has utilities for safely running multi-thread,
multi-process applications using locking mechanisms and for running external
processes.

%prep
%autosetup -n oslo.concurrency-%{version}

# relax reqs
sed -i -e '/pbr/s/!=/>/g' requirements.txt

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

# generate html docs
PYTHONPATH=${PWD} sphinx-build-3 doc/source html
# remove the sphinx-build leftovers
rm -rf html/.{doctrees,buildinfo}

%install
%pyproject_install
%pyproject_save_files oslo_concurrency

%files -n python3-%{pypi_name} -f %{pyproject_files}
%doc README.rst
%doc html
%{_bindir}/lockutils-wrapper


%changelog
* Fri Jun 28 2024 papoteur <papoteur> 6.0.0-1.mga10
+ Revision: 2077677
- new version 6.0.0

* Mon Jan 22 2024 papoteur <papoteur> 5.3.0-1.mga10
+ Revision: 2033529
- new version 5.3.0
- use generate_buildrequires

* Sun Dec 04 2022 wally <wally> 5.0.1-1.mga9
+ Revision: 1917776
- new version 5.0.1

* Mon Aug 22 2022 wally <wally> 5.0.0-1.mga9
+ Revision: 1879148
- imported package python-oslo-concurrency

